Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
cdt0031

làm thế nào để hợp đường tròn và đường thẳng chạm nhau thành 1 vậy các anh!

Các bài được khuyến nghị

cdt0031    0

khi vẽ ban CAD em gặp truờng hợp thế này,cần tạo ra 1 hình gồm 1 đường tròn và đường thẳng,em dung lệnh pedit mà không được.các sư phụ giúp em với, vì em cần copy ra rật nhiều hình nên không làm thủu công được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lyky    126

khi vẽ ban CAD em gặp truờng hợp thế này,cần tạo ra 1 hình gồm 1 đường tròn và đường thẳng,em dung lệnh pedit mà không được.các sư phụ giúp em với, vì em cần copy ra rật nhiều hình nên không làm thủu công được.

 

Trước tiên, không biết được là 2 đối tượng (đường tròn & đường thẳng) có giao nhau thành một đường liên tục hở hay không nữa, bạn có thể làm cách này thử nhé:

 

1. Tạo thành Block, nhiều cách - nếu không quan trọng lắm bạn có thể tạo nhanh Block "không tên" bằng cách: Tô chọn đối tượng, chuột phải, copy (hoặc copy with Base point), Chọn một insertpoint (hoặc không), Ctrl+Shift+V vào một vị trí bất kỳ. Hoặc nếu quan trọng thì bạn nên tạo Block bằng lệnh B (Block)... Khi đó, bạn có thể thao tác với nó thuận tiện hơn!

 

2. Dùng LISP sau đây (mình sưu tầm trên diễn đàn này hay ở đâu đó!?) để tạo thành một Pline (trong trường hợp: có giao nhau thành một đường liên tục hở)

 

(defun C:CPL (/ tdt ssdt sodt index)
(setq tdt (ssget)   sodt (sslength tdt)   index 0)
(repeat sodt
(setq ssdt (ssname tdt index)   index (1+ index))
(if (or (= (Objname ssdt) "LWPOLYLINE")  (= (Objname ssdt) "POLYLINE"))  (NoiPL ssdt))
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC")) (NoiLC ssdt)))    (princ))
(defun ObjName (ssdt /) (cdr (assoc '0 (entget ssdt))))
(defun MoPL (ssdt /) (= (cdr (assoc '70 (entget ssdt))) 0))
(defun NoiPL (ssdt /) (if (MoPL ssdt) (command ".PEDIT" ssdt "J" "All" "" "X")))
(defun NoiLC (ssdt /) (command ".PEDIT" ssdt "Y" "J" "All" "" "X"))
Goodluck!
  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tinya1225    34

Bạn có thể dùng lệnh BLOCK để gộp nhiều đối tượng thành 1 khối. Đọc về BLOCK trên diễn đàn v làm theo ^^

Còn nhanh hơn có thể dùng lệnh GROUP.

Mỗi lệnh có 1 ưu điểm nhược điểm riêng nhưng đều thoả mãn yêu cầu của bạn. GL.

  • Vote tăng 1
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cdt0031    0

cảm ơn các anh nhé ! đường thẳng và đường tròn của em chỉ giao nhau tại 1 điểm thôi,cái mục đích của em ở đây chỉ muốn gắn 2 hình lại để thực hiện việc copy hoặc move thuận lợi. Em muốn dùng lệnh chứ dùng lisp em không quen,hi!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×